org.apache.ignite.internal.util.ipc

## Enum IpcEndpointType

- java.lang.Object
- - java.lang.Enum<IpcEndpointType>
  - - org.apache.ignite.internal.util.ipc.IpcEndpointType

All Implemented Interfaces:
  Serializable, Comparable<IpcEndpointType>

    public enum IpcEndpointType
    extends Enum<IpcEndpointType>

IPC endpoint type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SHARED_MEMORY` Shared memory region.
`TCP_LOOPBACK` TCP loopback socket.

### Method Summary

All Methods Static Methods Concrete Methods
`static IpcEndpointType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IpcEndpointType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TCP_LOOPBACK

    public static final IpcEndpointType TCP_LOOPBACK

TCP loopback socket. Supported on all platforms.

#### SHARED_MEMORY

    public static final IpcEndpointType SHARED_MEMORY

Shared memory region. Supported on POSIX-compliant OSes.

### Method Detail

#### values

    public static IpcEndpointType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IpcEndpointType c : IpcEndpointType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IpcEndpointType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018